--- Makefile	2005-07-17 18:09:22.000000000 -0700
+++ Makefile	2005-07-17 19:22:47.000000000 -0700
@@ -135,12 +135,12 @@
 
    XHOME = /usr/X11R6
    havebool = -DHAVE_BOOL
-   lflags = $(LDFLAGS) -force_flat_namespace -Wl,-stack_size -Wl,10000000 -Wl,-stack_addr -Wl,c0000000
+   lflags = $(LDFLAGS) -Wl,-stack_size -Wl,10000000 -Wl,-stack_addr -Wl,c0000000
    DARWIN_SPECIALS = -DNO_REGEXPR  -no-cpp-precomp -DHAVE_BOOL
-   CPP = g++2 -D$(MACH) $(DARWIN_SPECIALS)
-   ACC = gcc2 -D$(MACH) $(DARWIN_SPECIALS)
-   CCLIB = gcc2 -fno-common -D$(MACH) $(DARWIN_SPECIALS)
-   CCPLIB = g++2 -fno-common -D$(MACH) $(DARWIN_SPECIALS)
+   CPP = g++ -D$(MACH) $(DARWIN_SPECIALS)
+   ACC = gcc -D$(MACH) $(DARWIN_SPECIALS)
+   CCLIB = gcc -fno-common -D$(MACH) $(DARWIN_SPECIALS)
+   CCPLIB = g++ -fno-common -D$(MACH) $(DARWIN_SPECIALS)
    AR = ld -r -o#                 # Archive Linker
    ARLIB = $(AR)#                 # Archive Linker shared libs.
 #  ARLIB = gcc2 -bundle -flat_namespace -undefined suppress -o
@@ -153,7 +153,7 @@
    MOTIF_LIBNAME = libXm.3.dylib
    MOTIF_LIBPATH = $(LIBDIR)/$(MOTIF_LIBNAME)
    XINCLUDES = -I/usr/X11R6/include
-   XLIBS = -L$(XHOME)/lib -lXm -lXt -lX11 -lXext -lXp  -lc
+   XLIBS = -L$(XHOME)/lib -L$(LIBDIR) -lXm -lXt -lX11 -lXext -lXp  -lc
 
    PERLBIN = /usr/bin
    PERLLIB = /usr/lib
@@ -343,7 +343,7 @@
 
 # ---------------------------------------- check gcc version
 
-GCC_VERSION_FOUND=$(shell $(GCC) --version | head -1 | sed 's/^[^0-9]*\([0-9.]\+\).*/\1/' )
+GCC_VERSION_FOUND=4.0.0
 GCC_VERSION_ALLOWED=$(strip $(subst ___,,$(foreach version,$(ALLOWED_GCC_VERSIONS),$(findstring ___$(version)___,___$(GCC_VERSION_FOUND)___))))
 
 check_same_GCC_VERSION:
@@ -860,7 +860,7 @@
 # MOTIF_LIBPATH
 
 ifndef MOTIF_LIBNAME
-MOTIF_LIBNAME=libXm.so.2
+MOTIF_LIBNAME=libXm.so.3
 endif
 ifndef MOTIF_LIBPATH
 MOTIF_LIBPATH=Motif/$(MOTIF_LIBNAME)
@@ -1295,7 +1295,7 @@
 				echo "If make process seems to abort here, one of the optional tools failed to build." ;\
 				echo "ARB will work nevertheless!" ) )
 
-arb: arbbasic arbshared arbapplications help
+arb: arbbasic arbshared arbapplications
 
 all: checks arb libs convert tools gde readseq openwinprogs binlink $(SITE_DEPENDEND_TARGETS)
 		-$(MAKE) tryxtras
--- ARBDB/arbdb.h	2005-07-17 18:09:19.000000000 -0700
+++ ARBDB/arbdb.h	2005-07-17 18:44:40.000000000 -0700
@@ -2,8 +2,10 @@
 #define ARBDB_H
 
 #ifndef _STDIO_H
+#ifndef _STDIO_H_
 #error "arbdb.h needs stdio.h included"
 #endif
+#endif
 
 #define NOT4PERL
 /* function definitions starting with NOT4PERL are not included into the ARB-perl-interface */
--- ARBDB/arbdb.c	2005-07-17 18:09:19.000000000 -0700
+++ ARBDB/arbdb.c	2005-07-17 18:50:58.000000000 -0700
@@ -1,4 +1,4 @@
-/* #include <stdio.h> */
+#include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
 /* #include <malloc.h> */
@@ -1325,7 +1325,7 @@
                                         Get all subfield names
 ********************************************************************************************/
 
-static char *stpcpy(char *dest, const char *source)
+static char *arbstpcpy(char *dest, const char *source)
 {
     while ((*dest++=*source++)) ;
     return dest-1; /* return pointer to last copied character (which is \0) */
@@ -1359,8 +1359,8 @@
                 char *neu_result = (char*)malloc(result_length+keylen+1+1);
 
                 if (neu_result) {
-                    char *p = stpcpy(neu_result, result);
-                    p = stpcpy(p, key);
+                    char *p = arbstpcpy(neu_result, result);
+                    p = arbstpcpy(p, key);
                     *p++ = ';';
                     p[0] = 0;
 
--- NAMES/names.cxx	2005-07-17 18:09:22.000000000 -0700
+++ NAMES/names.cxx	2005-07-17 19:13:12.000000000 -0700
@@ -16,6 +16,7 @@
 
 #include <list>
 #include <string>
+using namespace std;
 
 #if defined(DEBUG)
 // #define DUMP_NAME_CREATION
--- config.makefile	2005-07-17 18:09:22.000000000 -0700
+++ config.makefile	2005-07-17 18:52:14.000000000 -0700
@@ -16,9 +16,9 @@
 # [Note: Uncomment one section, depending on your machine type and compiler options]
 
 # ********* LINUX / gcc g++ / static ********
-MACH  = LINUX# Linux g++  and gcc
-LINUX = 1
-ECGS  = 1# use GCC? (always 1 for LINUX)
+#MACH  = LINUX# Linux g++  and gcc
+#LINUX = 1
+#ECGS  = 1# use GCC? (always 1 for LINUX)
 
 # export DEBIAN = 1
 
@@ -27,8 +27,8 @@
 
 # ********* Mac OSX ********
 
-# MACH   = DARWIN#
-# DARWIN = 1
+MACH   = DARWIN#
+DARWIN = 1
 
 # ********* SUN4 / acc CC / dynamic ********
 
